<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
//echo "<br> Sistema lab. de solos";
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");
$legendaGeral="Registro de amostra(Incluir,alterar,excluir,localizar)  Operador:".$nomeOperador;
//vai capturar a ida da ultima amostrs 
//quando ele entrar aqui ele ja vai ler o numero da amostra a partir de uma session 
//vai ter um modulo perfeito onde ele vai selecionar amostra
//prieira ultima segunte anterior, aleatoria ao localizar vai voltar para o edit trazendo o numero da amostra na session 


if($sessao->getVar('amostraLong')==NULL)
{
	//echo "nulo<br>";
	//vai capturar a id da amostra caso nao tenha nada na sessao(logo depois de logar))
	$userAmostra = new amostras();
    $userAmostra->extras_select =  " where fic_ano='".$anoAmostra."' && fic_labo='".$idLabo."' order by fic_amostra desc LIMIT 1";  //fucnciona perfeito
    $userAmostra->selecionaCampos($userAmostra);
    while ($resAmostra = $userAmostra->retornaDados()):
        $amostraLong=$resAmostra->fic_id;
        $idCultivar=$resAmostra->fic_cultivar;
        $idProdutor=$resAmostra->fic_produtor;
        $idAmostrador=$resAmostra->fic_amostrador;
        $ultima=$resAmostra->fic_amostra;
    endwhile;		
	$sessao->setVar('amostraLong', $amostraLong);
	$sessao->setVar('idCultivar',$idCultivar);
	$sessao->setVar('idProdutor',$idProdutor);
	$sessao->setVar('idAmostrador',$idAmostrador);
	$sessao->setVar('ultima',$ultima);
}
else
{
	//echo "nao nulo<br>";
    $amostraLong=$sessao->getVar('amostraLong');
	$idCultivar=$sessao->getVar('idCultivar');
	$idProdutor=$sessao->getVar('idProdutor');
	$idAmostrador=$sessao->getVar('idAmostrador');
}


switch ($tela):
    case 'listaCultivares':
        echo '<h2>Cultivares HABILITADAS, para o Laboratório.(clique no x para DESABILITAR)</h2>';
        echo("Entenda bem o que é habilitar e não desabilite todas! <br>");
        echo("Na tela de registro de amostra, vão aparecer, para selecionar, apenas CULTIVARES HABILITADAS. <br>");
        $especieID = get('esp_id');//era assim
		echo "Orientação sobre a forma de excluir:So serão deletadas cultivares marcadas com asterisco apos o nome.<br>";
		echo "Do lado direito da coluna código da cultivar, tem um icone para comandar a eliminação das cultivares já marcadas com asterisco..<br>";
		//echo("aqui pega o esp_id $especieID <br>");
        //$sessao->setVar('idCultivar',$ctvID);
        //$sessao->setVar('idEspecie',$especieID);
        
		if (get('ctv_id') !== ""):
           $ctvID = get('ctv_id');//era assim
           // vai pesquisar nome da cultivar
		   $userCultivar = new cultivares();
		   $userCultivar->extras_select =  " where ctv_id=".$ctvID;
		   $userCultivar->selecionaCampos($userCultivar);
		   while ($resCultivar = $userCultivar->retornaDados()):
              $nomeCultivar=$resCultivar->ctv_nome;
		   endwhile;	
           /////verifica se tem o asterisco 		   
           
		   if(strpos($nomeCultivar, '*')==0):
          	 //echo "nao tem asterisco";
			 printMSG('Esta cultivar não está marcada com asterisco. O asterisco é importante para ajudar evitar acidente. Caso queria marcar com asterisco entao use o icone para aterar o nome da amostra, mas faça isso com todo cuidado, colocando um asterisco logo apos o nome da cultivar. ','alerta');	   
           else:
		     //echo("Tem asterisco<br>"); 		   
		     $codCultivarErrada=$ctvID;
             $nomeCultivarErrada=$nomeCultivar;
			 $userAmostra = new amostras();
		     $userAmostra->extras_select =  " where fic_cultivar=".$ctvID;
		     $userAmostra->selecionaCampos($userAmostra);
             $conta=0;
			 $achouAmostra="nao";               
		     while ($resAmostra = $userAmostra->retornaDados()):
                $vaiDeletar="NAO";
                $achouAmostra="sim";
		        $conta++; 
			 endwhile;	
             //echo("capturou codigo $ctvID  nomeCultivar= $nomeCultivar achouAmostra=$achouAmostra conta=$conta <br>");           
             //se nao achou e tem asterisco ele ja pode excluir
             if($conta==0):
                //vai deletar REGISTRO  NA TABELA  habilita cultivar
				$generica=new tabelagenerica();
			    $sql = "delete from habilitacultivar where hac_id_labo=".$idLabo." and hac_id_cultivar=".$ctvID ;
			    $generica->grava_registro_com_retorno($sql);
			    printMSG('Removeu a habilitação. <a href="?m=habilitacultivar&t=listaCultivares">Exibir cadastros</a>','alerta');
                //VAI REMOVE A CULTIVAR DEFINITIVAMENTE
				$generica=new tabelagenerica();
			    $sql = "delete from cultivar where ctv_id=".$ctvID ;
			    $generica->grava_registro_com_retorno($sql);
			    printMSG('Removeu a cultivar definitivamente','alerta');
             else:
			    printMSG('xxxAtenção: A cultivar '. $nomeCultivar  . ' está vinculada a ' . $conta. ' amostras. Esta cultivar já pertence a um conjunto de amostra a ela vinculadas, então precisa indicar uma cultivar que venha substitur esta que você quer eliminar.  Na parte inferior desta tela é possível transferir as cultivares erradas para outra que estiver certa. Faça isso com todo critério, digitantando os códigos da cultivar que será extinta e da cultivar que vai FICAR VALENDO. ','alerta');
			 
			 endif;
		     unset($_GET);
 		   endif;//testa se a cultivar é marcada com asterisco    
		   
		   
		   
			$userAmostra = new amostras();
		    $userAmostra->extras_select =  " where fic_cultivar=".$ctvID;
		    $userAmostra->selecionaCampos($userAmostra);
		    while ($resAmostra = $userAmostra->retornaDados()):
              $vaiDeletar="NAO";
              $achouAmostra="sim";
		    endwhile;	
        endif;//testou isset  do get id ao clicar no icone delecao		

        //botao que vai excluir a cultivar antes passando para outras amostras
        if(post('bt_transfereDesabilitaExclui') !== ""):
   		    $codCultivarErrada=post('codCultivarErrada'); 
   		    $codCultivarValendo=post('codCultivarValendo'); 
		   	$contaAmostrasCasuismo=0;
		    echo("ppptransfere e exclui codCultivarErrada=$codCultivarErrada codCultivarValendo=$codCultivarValendo  <br>"); 
            // aqui pega as amostras onde esta a cultivar a ser eliminada e troca pela que deve ocupar o lugar
			 $sql="update ficha set fic_cultivar=".$codCultivarValendo." Where fic_cultivar=" . $codCultivarErrada;
		     //echo("sql de gravacao=$sql<br>");
	         $userNota = new generica();
             $userNota->campos_valores = $sql;				 
			 $userNota->inserirEspecial($userNota);
			 $idNota=$userNota->linhasafetadas;
             echo("sql=$sql linhas afetadas= $idNota<br>");
			
            // agora vai desabilitar a cultivar
			//vai deletar REGISTRO  NA TABELA  habilita cultivar
			$generica=new tabelagenerica();
		    $sql = "delete from habilitacultivar where hac_id_labo=".$idLabo." and hac_id_cultivar=".$codCultivarErrada ;
		    $generica->grava_registro_com_retorno($sql);
		    printMSG('Removeu a habilitação. <a href="?m=habilitacultivar&t=listaCultivares">Exibir cadastros</a>','alerta');
            //VAI REMOVE A CULTIVAR DEFINITIVAMENTE
			$generica=new tabelagenerica();
		    $sql = "delete from cultivar where ctv_id=".$codCultivarErrada ;
		    $generica->grava_registro_com_retorno($sql);
		    printMSG('Removeu a cultivar definitivamente','alerta');
        endif; // testas se clicou no botao de excluir
		
		
		
		
        if(post('bt_cultivarErrada') !== ""):
   		    $codCultivarErrada=post('codCultivarErrada'); 
		   	$contaAmostrasCasuismo=0;
			$genericaBoletimBoletim=new tabelagenerica();
			$genericaBoletimBoletim->tabela="ficha";
			$genericaBoletimBoletim->campos_valores = array(
					"fic_amostra" => NULL,
					"fic_amostra_previa" => NULL,
				);
			$genericaBoletimBoletim->extras_select =" where  fic_cultivar=" .$codCultivarErrada ;
			$genericaBoletimBoletim->selecionaCampos($genericaBoletimBoletim);
			while ($resgenericaBoletimBoletim = $genericaBoletimBoletim->retornaDados()):
			    $contaAmostrasCasuismo++;
				$vetorDPO[$contaAmostrasCasuismo]=$resgenericaBoletimBoletim->fic_amostra . " previa=". $resgenericaBoletimBoletim->fic_amostra_previa;
			endwhile;
            echo("vai pesquisar a cultivar $codCultivarErrada  Numero de amostras encontradas=$contaAmostrasCasuismo <br>");
		endif;//testa o isse da cultivar errada
		
		
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "300px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Cultivar</th><th>Espécie(o)</th><th>cod_cultivar/Del<th>Cod_espécie</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $user = new cultivaresespecies();
				$user->extras_select = "where ctv_especie=esp_id && hac_id_labo=".$idLabo." && hac_id_cultivar=ctv_id  order by esp_nome,ctv_nome  LIMIT 100000";
                $user->selecionaTudo($user);
				$contagem=0;
                while ($res = $user->retornaDados()):
                    $contagem++;
					echo '<tr>';
                    printf('<td>%s',$res->ctv_nome);
					printf('
					<a href="?m=habilitacultivar&t=editarNome&ctv_id=%s" title="Editar nome"><img src="images/edit.png" alt="Editar nome da cultivar" /></a>
					<a href="?m=habilitacultivar&t=editarNome&esp_id=%s" title="Editar nome"><img src="images/add.png" alt="especie" /></a>
					</td>',$res->ctv_id,$res->esp_id);	
                    printf('<td>%s</td>',$res->esp_nome);
                    printf('<td>%s',$res->ctv_id);
					printf('
					<a href="?m=habilitacultivar&t=listaCultivares&ctv_id=%s" title="DELETAR"><img src="images/delete.png" alt="DESABILITAR" /></a>
					</td>',$res->ctv_id);	
                    printf('<td>%s</td>',$res->esp_id,$res->ctv_nome);
	                echo '</tr>';
                endwhile;                
                $sessao->setVar("controle",$contagem);
                ?>
            </tbody>
        </table>
		<br>Orientação:Para que apareça na lista apenas as cultivares que realmente vão ser usadas, precisa habilitar a cultivar.
		<br> Para adicionar outra cultivar nesta lista, clique em <input type="button" onclick="location.href='?m=habilitacultivar&t=listaGeral'" value="Lista de todas Cultivares" />(LISTA GRANDE PARA TODAS ESPECIES HABILITADAS)
		<br> Para adicionar outra cultivar selecionando antes a especie, clique em <input type="button" onclick="location.href='?m=habilitacultivar&t=listaGeralEspeciesHabilitadas'" value="Lista de espécie do laboratorio." />(LISTA MENOR EXCLUSIVA DE UMA ESPÉCIE)
   <!--////////////////dia 010620-->
	  <form class="userform" method="POST" action="">
            <fieldset>
                <legend>REMANEJO E EXCLUSÃO de cultivares duplicadas ou cadastradas indevidamente</legend>
			    <table width="800">
                <tr>
                <td>´Codigo da cultivar ERRADA-><?php echo $nomeCultivarErrada;?>
				<input type="text" size="2" name="codCultivarErrada"  value="<?php echo $codCultivarErrada;?> " />
				´Codigo da cultivar que vai FICAR VALENDO->
				<input type="text" size="2" name="codCultivarValendo" value="<?php echo $codCultivarValendo;?> " />
				<input type="submit"  name="bt_transfereDesabilitaExclui" value="Transfere e exclui" />
				<input type="submit"  name="bt_cultivarErrada" value="Apenas Verificar" />
				</td>


				</tr>                 
                </table>
            </fieldset>
           </form>
<!--dia 010620-->

        <?php        
    break;


     case 'listaGeralEspeciesHabilitadas':
        echo("esta onde vai ver lista de habilitadas <br>");	
	           //aqui vai capturar a id da cultivar , vai ver se ja esta habilitada e se nao estiver vai habilitar E ja vai para a listacultivar 
	        if (get('esp_id') !== ""):
                $ctvID = get('ctv_id');//era assim
                $especieID = get('esp_id');//era assim
				echo("aqui pega o ctv_id $ctvID <br>");
                $sessao->setVar('idCultivar',$ctvID);
                $sessao->setVar('idEspecie',$especieID);
				//$idCultivar=$sessao->getVar("idCultivar");
               // echo("kkkkkkkkkkkkkkkkkkkkkkleu sesso $idCultivar <br>"); 
								
                //examina se tem o registro de cultivar ja habilitada
                $user = new tabelagenerica();
				$user->tabela="habilitacultivar";
				$user->campos_valores = array(
						"hac_id_labo" => NULL,
					);
				$user->extras_select =" where  hac_id_labo=".$idLabo." and hac_id_cultivar=".$cultivarID;
                $user->selecionaTudo($user);
                $conta=0;
                while ($res = $user->retornaDados()):
                    $conta++;
                endwhile;                
                if($conta==0):
					//vai gravar na tabela habilitacultivar
					$sql="insert into habilitacultivar(hac_id_labo,hac_id_cultivar) values($idLabo,$cultivarID)";
					$generica=new tabelagenerica();
			        $generica->grava_registro_com_retorno($sql);
					printMSG('Inseriu cultivar na coleção de habilitadas. Clique em LISTA DE HABILITADAS se quiser ver todas já habilitadas.');
                else:
					printMSG('Esta cultivar já estava na coleção.');
                endif;//fecha o endif que grava				 				
			endif;//fecha o isset da recepcao de id	



        echo '<h2>Lista especies do laboratorio)</h2>';
        echo 'Clique para selecionar uma espécie.(Isso diminui tamanho da lista geral de cultivares.)';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                  <!--  <th>Nome</th><th>Selecionar</th><th>cod_especie</th>-->
                   <th>Nome</th><th>Selecionar</th><th>Cultivar -O-</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $user = new tabelagenerica();
                $user1 = new tabelagenerica();
				$user->tabela="especies,habilitaespecie";
				$user->campos_valores = array(
						"esp_nome" => NULL,
						"esp_id" => NULL,
					);
				$user->extras_select = " where hae_cod_especie=esp_id and hae_id_labo=".$idLabo."    order by esp_nome";
                $user->selecionaTudo($user);
                while ($res = $user->retornaDados()):
                    echo '<tr>';
                    printf('<td>%s',$res->esp_nome);
					printf('
					<a href="?m=habilitacultivar&t=listaGeral&esp_id=%s" title="Selecionar"><img src="images/edit.png" alt="Selecionar" /></a>
					</td>',$res->esp_id);
                    printf('<td>%s</td>',$res->esp_id);					
					//aqui vai aproveitar para checar se para cada especie tem uma cultivar -O- se nao tem vai incluir
					//verifica se tem cultivar -O- para esta especie
					$user1->tabela="cultivar";
					$user1->campos_valores = array(
							"ctv_id" => NULL,
						);
					$user1->extras_select =" where ctv_nome='-O-' and ctv_especie=".$res->esp_id;
	                $user1->selecionaTudo($user1);
	                $conta=0;
					$temTraco='NAO';
					while ($res1 = $user1->retornaDados()):
	                    $conta++;
					    $temTraco='SIM';
	                endwhile;                
                    printf('<td>%s',$temTraco);
					printf('
					<a href="?m=cultivares&t=incluir&esp_id=%s" title="Selecionar"><img src="images/edit.png" alt="Selecionar" /></a>
					</td>',$res->esp_id);
					
                    echo '</tr>';
					
                endwhile;                
                ?>
            </tbody>
        </table>
        <br> Caso desejar ver a lista de cultivares já habilitadas, clique<input type="button" onclick="location.href='?m=habilitacultivar&t=listaCultivares'" value="Lista de Cultivares habilitadas" />
		<br> Repare na coluna cultivar -O-. Se quiser ir rapidamente incluir uma cultivar(inclusive -O-) pode usar este LINK. 
		<br> Caso a cultivar não esteja na lista de geral de cultivares, use este mesmo LINK para inserir a nova cultivar.  



        <?php        
	
	break;



    case 'listaGeral':
            //aqui vai capturar a id da cultivar , vai ver se ja esta habilitada e se nao estiver vai habilitar E ja vai para a listacultivar 
	        $codEspecie=0;
			if (get('esp_id') !== ""):
               $especieID= get('esp_id');
			   echo("especieID= $especieID<br>");  
			   $sessao->setVar('especie_id',$especieID);
            endif;
			
			 
			if (get('deleta_ctv_id') !== ""):
			  $controle=$sessao->getVar("controle");
			  //vai pegar a lista geral e vai examinar se esta habilitada e se esta em alguma amostra
				//caso nao tiver nada isso entao deleta
              $user1 = new tabelagenerica();
    		  $user1->tabela="cultivar";
     		  $user1->campos_valores = array(
						"ctv_nome" => NULL,
						"ctv_id" => NULL,
					);
				$user1->extras_select = " where ctv_id>".$controle."  order by ctv_id LIMIT 300 ";	
				$user1->selecionaTudo($user1);
                $contador=0;
                while ($res1 = $user1->retornaDados()):
                   
                   $ctvID= $res1->ctv_id;
                   $vaiDeletar="SIM";
				               
			       //vai verificar se esta habilidada(se estiver nao deleta)
                   //examina se tem o registro de cultivar ja habilitada
                   $user = new tabelagenerica();
				   $user->tabela="habilitacultivar";
				   $user->campos_valores = array(
						"hac_id_labo" => NULL,
					);
				   $user->extras_select =" where  hac_id_labo>0 and hac_id_cultivar=".$ctvID;
				   //echo("extra=====$user->extras_select<br>");
                   $user->selecionaTudo($user);
                   while ($res = $user->retornaDados()):
                      $vaiDeletar="NAO";
                      $achouHabilitada="sim";
                   endwhile;  
				   ///////////////
	       
				   ///////////
                   //vai verificar se esta nalguma amostra(se estiver nao deleta)
					$userAmostra = new amostras();
				    $userAmostra->extras_select =  " where fic_cultivar=".$ctvID;
				    $userAmostra->selecionaCampos($userAmostra);
				    while ($resAmostra = $userAmostra->retornaDados()):
                      $vaiDeletar="NAO";
                      $achouAmostra="sim";
				    endwhile;	
                   //se nao houve impedimento vai deletar
				   if($vaiDeletar=="SIM"):				   
					    $user2 = new cultivares();
			            $user2->extras_select = " WHERE ctv_id=".$ctvID;
						$user2->deletarRegistros($user2);
						$contador++; 
                        if($contador>300)end; 
		                //echo("Excluiu cultivar sem uso<br>"); 
	 			        echo("idCtv= $ctvID  nome=$res1->ctv_nome  <br>");  
				   endif;		

	 			   //echo("idCtv= $ctvID achouHabilitada=  $achouHabilitada  achouAmostra  $achouAmostra  nome=$res1->ctv_nome  <br>");  
                endwhile; 
		        $sessao->setVar("controle",$ctvID);
            	echo("registros excluidos = $contador  <br>");			
               endif;//isset do icone deletar cultivar  




	        if (get('ctv_id') !== ""):
                $idCultivar = get('ctv_id');
				//echo("aqui pega o ctv_id $ctv_id <br>");
                $sessao->setVar('idCultivar',$idCultivar);
				//$idCultivar=$sessao->getVar("idCultivar");
               // echo("kkkkkkkkkkkkkkkkkkkkkkleu sesso $idCultivar <br>"); 
								
                //examina se tem o registro de cultivar ja habilitada
                $user = new tabelagenerica();
				$user->tabela="habilitacultivar";
				$user->campos_valores = array(
						"hac_id_labo" => NULL,
					);
				$user->extras_select =" where  hac_id_labo=".$idLabo." and hac_id_cultivar=".$idCultivar;
                $user->selecionaTudo($user);
                $conta=0;
                while ($res = $user->retornaDados()):
                    $conta++;
                endwhile;                
                if($conta==0):
					//vai gravar na tabela habilitacultivar
					$sql="insert into habilitacultivar(hac_id_labo,hac_id_cultivar) values($idLabo,$idCultivar)";
					$generica=new tabelagenerica();
			        $generica->grava_registro_com_retorno($sql);
					printMSG('Inseriu cultivar na coleção de habilitadas. Clique em LISTA DE HABILITADAS se quiser ver todas já habilitadas.');
                else:
					printMSG('Esta cultivar já estava na coleção.');
                endif;//fecha o endif que grava				 				
			endif;//fecha o isset da recepcao de id	



        echo '<h2>Lista geral de cultivares.(Habilitadas ou não)</h2>';
        echo 'Clique para selecionar uma cultivar ainda não habilitada.';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Nome</th><th>Selecionar</th><th>Espécie</th><th>cod_cultivar</th><th>cod_especie</th><th>Excluir</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $user = new tabelagenerica();
				$user->tabela="especies,cultivar,habilitaespecie";
				$user->campos_valores = array(
						"ctv_nome" => NULL,
						"esp_nome" => NULL,
						"ctv_id" => NULL,
						"esp_id" => NULL,
					);
				
				//se eu entro aqui com a especie ja selecionada diminui a minha lista 
				$especieID=$sessao->getVar('especie_id');
				if($especieID>0):	
				   $user->extras_select = " where ctv_especie=esp_id and hae_cod_especie=esp_id and esp_id=".$especieID." and hae_id_labo=".$idLabo."    order by ctv_nome";
					$user->selecionaTudo($user);
	                while ($res = $user->retornaDados()):
	                    echo '<tr>';
	                    printf('<td>%s',$res->ctv_nome);
						printf('<td>
						<a href="?m=habilitacultivar&t=listaGeral&ctv_id=%s" title="Selecionar"><img src="images/edit.png" alt="Selecionar" /></a>
						</td>',$res->ctv_id);
	                    printf('<td>%s</td>',$res->esp_nome);
						
	                    printf('<td>%s</td>',$res->ctv_id);
	                    printf('<td>%s</td>',$res->esp_id);					
						printf('<td>
						<a href="?m=habilitacultivar&t=listaGeral&deleta_ctv_id=%s" title="Selecionar"><img src="images/delete.png" alt="Selecionar" /></a>
						</td>',$res->ctv_id);
						
						
	                    echo '</tr>';
	                endwhile;                
                else:  					
				    echo("Nao dfoi selecionada especie<br>");					
                endif;
                ?>
            </tbody>
        </table>
        <br> Caso desejar ver a lista de cultivares já habilitadas, clique<input type="button" onclick="location.href='?m=habilitacultivar&t=listaCultivares'" value="Lista de Cultivares habilitadas" />
		<br> Caso a cultivar não esteja na lista de geral de cultivares, então acesse CADASTROS-->CULTIVARES  e cadastre a nova cultivar.  
		<br> Caso a lista apareceu vazia, selecione uma especie habilitada. Dica: Volte para a tela anterior e clica em LISTA DE ESPECIES DO LABORATORIO(HABILITADAS).  
        <?php        
    break;
	
    case 'excluir':
        echo '<h2>Excluir habilitações de cultivares</h2>';
		$contagem=$sessao->getVar('controle');
		echo(" contagem=$contagem<br>");
        if($contagem>2):
	        $ctv_id = get('ctv_id');
			echo("codigo da cultivar : ctv_id=$ctv_id contagem=$contagem<br>");
	        //aqui vai deletar		
		    $generica=new tabelagenerica();
			$sql = "delete from habilitacultivar where hac_id_labo=".$idLabo." and hac_id_cultivar=".$ctv_id ;
			$generica->grava_registro_com_retorno($sql);
			printMSG('Removeu a habilitação. <a href="?m=habilitacultivar&t=listaCultivares">Exibir cadastros</a>','alerta');
        else:
			printMSG('Para evitar transtorno, o sistema nao desabilita todas cultivares. <a href="?m=habilitacultivar&t=listaCultivares">Exibir cadastros</a>','alerta');
		endif;

    break;//final do case excluir	
			
    case 'editarNome':
        echo '<h2>Corrigir/Editar nome de cultivar</h2>';
		echo ("esta tela é feita só para corrigir erros na grafia correta do nome da cultivar<br>");
		echo ("evite cadastrar nome errado, para nao precisar corrigir depois. Acesse o site do MAPA, <br>");
		echo ("para ver a LISTA NACIONAL DE CULTIVARES - RNC sempre que for cadastrar nova cultivar<br>");
		$contagem=$sessao->getVar('controle');
		//echo(" contagem=$contagem<br>");
        $ctv_id = get('ctv_id');
		//echo("codigo da cultivar : ctv_id=$ctv_id contagem=$contagem<br>");
        $user = new cultivares();
		$user->extras_select = "WHERE  ctv_id=".$ctv_id;
        $user->selecionaTudo($user);
        while ($res = $user->retornaDados()):
          $cultivar=$res->ctv_nome;
        endwhile;                

        if(post('bt_gravarAlteracao') !== ""):
           $novoNome=post('novoNome');
           $ctv_id=post('id');
		   if(strlen($novoNome)>1):

           $user = new cultivares(array(
                    'ctv_nome'=>$novoNome,
                ));
            $user->valorpk = $ctv_id;
            $user->extras_select = "WHERE   ctv_id=$ctv_id";
            $user->selecionaTudo($user);
            $res = $user->retornaDados();
            $user->atualizar($user);
            if($user->linhasafetadas>0):
			    printMSG('Alteração efetuada!<a href="?m=habilitacultivar&t=listaCultivares">Exibir cadastros</a>','alerta');
				$cultivar=$novoNome;
			else:
			    printMSG('Nada foi alterado!<a href="?m=habilitacultivar&t=listaCultivares">Exibir cadastros</a>','alerta');
            endif;
		   
		   endif;//testa se colocou pelo menos 3 caracteres
		endif;//fecha o if do bt novo nome

?>

		<form class="userform" method="POST" action="">
			<fieldset>
			<legend>Edite os dados, do <?php echo $tipoDoc;?> número  <?php echo $numeroDoc;?> depois clique salvar dados</legend>
			<table>
			<tr>
			<td>Nome atual da cultivar:<?php echo $cultivar;?></td>
			</tr>
			
			<tr>
			Nome novo:
			<input type="text" size="30" name="novoNome"  maxlength="50"		value="" />
			<input type="hidden" size="8" name="id" 	value="<?php echo $ctv_id;?>" />
			</td>

			</tr>
			<tr>
			<td>
			<input type="submit" name="bt_gravarAlteracao" value="Gravar Alteracao" />
			
			</td>
			</tr>
			</table>
			</fieldset>

	<table width="200" bgcolor="black">
    <tr>
	<td><a href="?m=habilitacultivar&t=listaCultivares"   title="Editar">Tela anterior  </a> </td>
	</tr>
  
    </table>	
    </form>

<?php




    break;//final do case editar nome	
				



	

	

	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>